//17 Sep 2022
//add groove security patch - try to hide the created server instance
//and then get rid of it after a bit
echoc(3,"fix4hrfixfix" );
//save your current server settings
%saveplaymode = $pref::PlayGameMode;
%savemission = $pref::LastMission;
%saveServerPort = $Server::Port;
%saveServerPub = $Server::HostPublicGame;
//create valid random 5 digit server port for hrfixserver, set not public, start server
$Server::Port = 10000 + round(getRandom()*20000,0);
$Server::HostPublicGame = false;
echoc(4,"++++ starting $hrfixserver on port " ~ $Server::Port);
//bugs_ add textures here before create server instance
newObject("DOX_textures",SimVolume, "DOX_textures.zip");
newObject("savanaDML",SimVolume, "savanaDML.zip");
newObject("titanDML",SimVolume, "titanDML.zip");
//
createServer("Broadside", false);
//restore server settings
$pref::PlayGameMode = %saveplaymode;
$pref::LastMission = %savemission;
$Server::Port = %saveServerPort;
$Server::HostPublicGame = %saveServerPub;
// setting stupid variable so we know this server is started
$hrfixserver = true;

function Groove::KillHrfixServer() after JoinGame
{
	switch($hrfixserver){
		case "false":
			echoc(4,"++++ $hrfixserver is false - doing nothing" );
			break;
		case "true":
			echoc(4,"++++ $hrfixserver is true - scheduling deleteserver " );
			Schedule::Add("deleteServer();",30);
			$hrfixserver = false;
			break;
		default:
			echoc(4,"+++++ $hrfixserver unexpected value? doing nothing" );
			break;	
	}
}

//example:
//$mj::hr[$mj::hr_max++] = "iconcretebock.png 128 128";
//
$mj::hr_max = 0;
//
// bugs_ note hrfix.cs for gigapixel upscaled 1.40 volumes 12-Jan-2020
//Entities
$mj::hr[$mj::hr_max++] = "alientree.png 128 128";
$mj::hr[$mj::hr_max++] = "ammopack.png 64 64";
$mj::hr[$mj::hr_max++] = "ammo.png 128 128";
$mj::hr[$mj::hr_max++] = "ammoSh.png 32 32";
$mj::hr[$mj::hr_max++] = "amocmd00.png 128 128";
$mj::hr[$mj::hr_max++] = "amoncmd.png 256 256";
$mj::hr[$mj::hr_max++] = "amun01.png 64 32";
$mj::hr[$mj::hr_max++] = "antenna1.png 32 128";
$mj::hr[$mj::hr_max++] = "antenna2.png 32 128";
$mj::hr[$mj::hr_max++] = "antennae.png 32 128";
$mj::hr[$mj::hr_max++] = "antgrv00.png 16 32";
$mj::hr[$mj::hr_max++] = "antgrv01.png 16 32";
$mj::hr[$mj::hr_max++] = "antgrv02.png 16 32";
$mj::hr[$mj::hr_max++] = "antgrv03.png 16 32";
$mj::hr[$mj::hr_max++] = "antgrv04.png 16 32";
$mj::hr[$mj::hr_max++] = "armorkit.png 128 128";
$mj::hr[$mj::hr_max++] = "armorpack.png 64 64";
$mj::hr[$mj::hr_max++] = "bar00.png 64 64";
$mj::hr[$mj::hr_max++] = "bar01.png 64 64";
$mj::hr[$mj::hr_max++] = "bar02.png 64 64";
$mj::hr[$mj::hr_max++] = "bar03.png 64 64";
$mj::hr[$mj::hr_max++] = "bar04.png 64 64";
$mj::hr[$mj::hr_max++] = "bar05.png 64 64";
$mj::hr[$mj::hr_max++] = "bar06.png 64 64";
$mj::hr[$mj::hr_max++] = "bar07.png 64 64";
$mj::hr[$mj::hr_max++] = "bar08.png 64 64";
$mj::hr[$mj::hr_max++] = "bar09.png 64 64";
$mj::hr[$mj::hr_max++] = "bar10.png 64 64";
$mj::hr[$mj::hr_max++] = "bar11.png 64 64";
$mj::hr[$mj::hr_max++] = "bar12.png 64 64";
$mj::hr[$mj::hr_max++] = "bar13.png 64 64";
$mj::hr[$mj::hr_max++] = "bar14.png 64 64";
$mj::hr[$mj::hr_max++] = "bar15.png 64 64";
$mj::hr[$mj::hr_max++] = "bar16.png 64 64";
$mj::hr[$mj::hr_max++] = "bar17.png 64 64";
$mj::hr[$mj::hr_max++] = "bar18.png 64 64";
$mj::hr[$mj::hr_max++] = "bar19.png 64 64";
$mj::hr[$mj::hr_max++] = "bar20.png 64 64";
$mj::hr[$mj::hr_max++] = "bar21.png 64 64";
$mj::hr[$mj::hr_max++] = "bar22.png 64 64";
$mj::hr[$mj::hr_max++] = "bar23.png 64 64";
$mj::hr[$mj::hr_max++] = "base.door.png 64 64";
$mj::hr[$mj::hr_max++] = "base.flag.png 64 64";
$mj::hr[$mj::hr_max++] = "base.harmor.png 256 256";
$mj::hr[$mj::hr_max++] = "base.larmor.png 256 256";
$mj::hr[$mj::hr_max++] = "base.lfemale.png 256 256";
$mj::hr[$mj::hr_max++] = "base.marmor.png 256 256";
$mj::hr[$mj::hr_max++] = "base.mfemale.png 256 256";
$mj::hr[$mj::hr_max++] = "base_tex.png 128 128";
$mj::hr[$mj::hr_max++] = "beagle.door.png 64 64";
$mj::hr[$mj::hr_max++] = "beagle.flag.png 64 64";
$mj::hr[$mj::hr_max++] = "Beagle.harmor.png 256 256";
$mj::hr[$mj::hr_max++] = "beagle.larmor.png 256 256";
$mj::hr[$mj::hr_max++] = "beagle.lfemale.png 256 256";
$mj::hr[$mj::hr_max++] = "beagle.marmor.png 256 256";
$mj::hr[$mj::hr_max++] = "beagle.mfemale.png 256 256";
$mj::hr[$mj::hr_max++] = "blite00.png 4 4";
$mj::hr[$mj::hr_max++] = "blite01.png 4 4";
$mj::hr[$mj::hr_max++] = "blite02.png 4 4";
$mj::hr[$mj::hr_max++] = "blite03.png 4 4";
$mj::hr[$mj::hr_max++] = "blite04.png 4 4";
$mj::hr[$mj::hr_max++] = "blue00.png 64 64";
$mj::hr[$mj::hr_max++] = "blue01.png 64 64";
$mj::hr[$mj::hr_max++] = "blue02.png 64 64";
$mj::hr[$mj::hr_max++] = "blue03.png 64 64";
$mj::hr[$mj::hr_max++] = "blue04.png 64 64";
$mj::hr[$mj::hr_max++] = "blue05.png 64 64";
$mj::hr[$mj::hr_max++] = "blue06.png 64 64";
$mj::hr[$mj::hr_max++] = "blue07.png 64 64";
$mj::hr[$mj::hr_max++] = "blue08.png 64 64";
$mj::hr[$mj::hr_max++] = "blue09.png 64 64";
$mj::hr[$mj::hr_max++] = "blue10.png 64 64";
$mj::hr[$mj::hr_max++] = "blue11.png 64 64";
$mj::hr[$mj::hr_max++] = "blue12.png 64 64";
$mj::hr[$mj::hr_max++] = "blue13.png 64 64";
$mj::hr[$mj::hr_max++] = "blue14.png 64 64";
$mj::hr[$mj::hr_max++] = "blue15.png 64 64";
$mj::hr[$mj::hr_max++] = "blue16.png 64 64";
$mj::hr[$mj::hr_max++] = "blue17.png 64 64";
$mj::hr[$mj::hr_max++] = "blue18.png 64 64";
$mj::hr[$mj::hr_max++] = "blue19.png 64 64";
$mj::hr[$mj::hr_max++] = "blue20.png 64 64";
$mj::hr[$mj::hr_max++] = "blue21.png 64 64";
$mj::hr[$mj::hr_max++] = "blue22.png 64 64";
$mj::hr[$mj::hr_max++] = "blue_blink0.png 32 32";
$mj::hr[$mj::hr_max++] = "blue_blink1.png 32 32";
$mj::hr[$mj::hr_max++] = "blue_blink2.png 32 32";
$mj::hr[$mj::hr_max++] = "blue_blink3.png 32 32";
$mj::hr[$mj::hr_max++] = "blue_blink4.png 32 32";
$mj::hr[$mj::hr_max++] = "blue.flag.png 64 64";
$mj::hr[$mj::hr_max++] = "blue.harmor.png 256 256";
$mj::hr[$mj::hr_max++] = "blue.larmor.png 256 256";
$mj::hr[$mj::hr_max++] = "blue.lfemale.png 256 256";
$mj::hr[$mj::hr_max++] = "blue.marmor.png 256 256";
$mj::hr[$mj::hr_max++] = "blue_metaltek.png 128 128";
$mj::hr[$mj::hr_max++] = "blue.mfemale.png 256 256";
$mj::hr[$mj::hr_max++] = "blue_pipes.png 128 32";
$mj::hr[$mj::hr_max++] = "blue_tek.png 64 128";
$mj::hr[$mj::hr_max++] = "bullethole.png 32 32";
$mj::hr[$mj::hr_max++] = "cactus.png 128 128";
$mj::hr[$mj::hr_max++] = "camera1.png 64 64";
$mj::hr[$mj::hr_max++] = "camera_part.png 16 32";
$mj::hr[$mj::hr_max++] = "chainflash1.png 64 64";
$mj::hr[$mj::hr_max++] = "chaingun.png 256 128";
$mj::hr[$mj::hr_max++] = "chair.png 128 128";
$mj::hr[$mj::hr_max++] = "chn00.png 64 64";
$mj::hr[$mj::hr_max++] = "chn01.png 64 64";
$mj::hr[$mj::hr_max++] = "chn02.png 64 64";
$mj::hr[$mj::hr_max++] = "chn03.png 64 64";
$mj::hr[$mj::hr_max++] = "chn04.png 64 64";
$mj::hr[$mj::hr_max++] = "chn05.png 64 64";
$mj::hr[$mj::hr_max++] = "chn06.png 64 64";
$mj::hr[$mj::hr_max++] = "chn07.png 64 64";
$mj::hr[$mj::hr_max++] = "chn08.png 64 64";
$mj::hr[$mj::hr_max++] = "chn09.png 64 64";
$mj::hr[$mj::hr_max++] = "chn10.png 64 64";
$mj::hr[$mj::hr_max++] = "cmdlite01.png 128 64";
$mj::hr[$mj::hr_max++] = "cmdpnl01.png 64 128";
$mj::hr[$mj::hr_max++] = "cmdpnl02.png 64 128";
$mj::hr[$mj::hr_max++] = "Compass.png 64 64";
$mj::hr[$mj::hr_max++] = "control.png 128 64";
$mj::hr[$mj::hr_max++] = "cphoenix.door.png 64 64";
$mj::hr[$mj::hr_max++] = "cphoenix.flag.png 64 64";
$mj::hr[$mj::hr_max++] = "cphoenix.harmor.png 256 256";
$mj::hr[$mj::hr_max++] = "cphoenix.larmor.png 256 256";
$mj::hr[$mj::hr_max++] = "cphoenix.lfemale.png 256 256";
$mj::hr[$mj::hr_max++] = "cphoenix.marmor.png 256 256";
$mj::hr[$mj::hr_max++] = "cphoenix.mfemale.png 256 256";
$mj::hr[$mj::hr_max++] = "cylinder_tex.png 128 128";
$mj::hr[$mj::hr_max++] = "discglow1.png 32 32";
$mj::hr[$mj::hr_max++] = "discglow2.png 64 32";
$mj::hr[$mj::hr_max++] = "disc.png 256 256";
$mj::hr[$mj::hr_max++] = "dishes.png 128 128";
$mj::hr[$mj::hr_max++] = "display5.png 64 128";
$mj::hr[$mj::hr_max++] = "display_blue.png 256 128";
$mj::hr[$mj::hr_max++] = "display_set.png 64 64";
$mj::hr[$mj::hr_max++] = "display_vertical.png 64 128";
$mj::hr[$mj::hr_max++] = "display_yellow.png 256 128";
$mj::hr[$mj::hr_max++] = "dobj10_object.png 32 15";
$mj::hr[$mj::hr_max++] = "dobj1_object.png 32 32";
$mj::hr[$mj::hr_max++] = "dobj2_object.png 32 32";
$mj::hr[$mj::hr_max++] = "dobj3_object.png 8 16";
$mj::hr[$mj::hr_max++] = "dobj4_object.png 32 32";
$mj::hr[$mj::hr_max++] = "dobj5_object.png 32 32";
$mj::hr[$mj::hr_max++] = "dobj6_object.png 8 20";
$mj::hr[$mj::hr_max++] = "dobj7_object.png 32 32";
$mj::hr[$mj::hr_max++] = "dobj8_object.png 32 32";
$mj::hr[$mj::hr_max++] = "dobj9_object.png 16 12";
$mj::hr[$mj::hr_max++] = "doorc.png 256 256";
$mj::hr[$mj::hr_max++] = "doord.png 256 256";
$mj::hr[$mj::hr_max++] = "door.png 256 256";
$mj::hr[$mj::hr_max++] = "dskin10_armor.png 12 28";
$mj::hr[$mj::hr_max++] = "dskin11_armor.png 16 16";
$mj::hr[$mj::hr_max++] = "dskin12_armor.png 20 20";
$mj::hr[$mj::hr_max++] = "dskin13_armor.png 20 20";
$mj::hr[$mj::hr_max++] = "dskin14_armor.png 20 20";
$mj::hr[$mj::hr_max++] = "dskin1_armor.png 20 20";
$mj::hr[$mj::hr_max++] = "dskin2_armor.png 32 16";
$mj::hr[$mj::hr_max++] = "dskin3_armor.png 26 25";
$mj::hr[$mj::hr_max++] = "dskin4_armor.png 16 16";
$mj::hr[$mj::hr_max++] = "dskin5_armor.png 8 8";
$mj::hr[$mj::hr_max++] = "dskin6_armor.png 32 32";
$mj::hr[$mj::hr_max++] = "dskin7_armor.png 16 16";
$mj::hr[$mj::hr_max++] = "dskin8_armor.png 32 32";
$mj::hr[$mj::hr_max++] = "dskin9_armor.png 30 28";
$mj::hr[$mj::hr_max++] = "dsply_ha.png 128 64";
$mj::hr[$mj::hr_max++] = "dsply_hb1.png 128 64";
$mj::hr[$mj::hr_max++] = "dsply_hb2.png 128 64";
$mj::hr[$mj::hr_max++] = "dsply_hb3.png 128 64";
$mj::hr[$mj::hr_max++] = "dsply_hb4.png 128 64";
$mj::hr[$mj::hr_max++] = "dsply_hb5.png 128 64";
$mj::hr[$mj::hr_max++] = "dsply_sa1.png 32 32";
$mj::hr[$mj::hr_max++] = "dsply_sa2.png 32 32";
$mj::hr[$mj::hr_max++] = "dsply_sa3.png 32 32";
$mj::hr[$mj::hr_max++] = "dsply_sb1.png 32 32";
$mj::hr[$mj::hr_max++] = "dsply_sb2.png 32 32";
$mj::hr[$mj::hr_max++] = "dsply_va1.png 32 64";
$mj::hr[$mj::hr_max++] = "dsply_va2.png 32 64";
$mj::hr[$mj::hr_max++] = "dsply_va3.png 32 64";
$mj::hr[$mj::hr_max++] = "dsply_va4.png 32 64";
$mj::hr[$mj::hr_max++] = "dsply_vb1.png 32 64";
$mj::hr[$mj::hr_max++] = "dsply_vb2.png 32 64";
$mj::hr[$mj::hr_max++] = "dsword.door.png 64 64";
$mj::hr[$mj::hr_max++] = "dsword.flag.png 64 64";
$mj::hr[$mj::hr_max++] = "dsword.harmor.png 256 256";
$mj::hr[$mj::hr_max++] = "dsword.larmor.png 256 256";
$mj::hr[$mj::hr_max++] = "dsword.lfemale.png 256 256";
$mj::hr[$mj::hr_max++] = "dsword.marmor.png 256 256";
$mj::hr[$mj::hr_max++] = "dsword.mfemale.png 256 256";
$mj::hr[$mj::hr_max++] = "dust001.png 128 128";
$mj::hr[$mj::hr_max++] = "dust002.png 128 128";
$mj::hr[$mj::hr_max++] = "dust003.png 128 128";
$mj::hr[$mj::hr_max++] = "eflsh0.png 64 64";
$mj::hr[$mj::hr_max++] = "eflsh1.png 64 64";
$mj::hr[$mj::hr_max++] = "eflsh2.png 64 64";
$mj::hr[$mj::hr_max++] = "eflsh3.png 64 64";
$mj::hr[$mj::hr_max++] = "eflsh4.png 64 64";
$mj::hr[$mj::hr_max++] = "eflsh5.png 64 64";
$mj::hr[$mj::hr_max++] = "eflsh6.png 64 64";
$mj::hr[$mj::hr_max++] = "eflsh7.png 64 64";
$mj::hr[$mj::hr_max++] = "eflsh8.png 64 64";
$mj::hr[$mj::hr_max++] = "elevator1.png 256 256";
$mj::hr[$mj::hr_max++] = "elevator_octagon.png 256 256";
$mj::hr[$mj::hr_max++] = "elevator_rect.png 256 256";
$mj::hr[$mj::hr_max++] = "elevator_square.png 256 256";
$mj::hr[$mj::hr_max++] = "em00.png 64 64";
$mj::hr[$mj::hr_max++] = "em01.png 64 64";
$mj::hr[$mj::hr_max++] = "em02.png 64 64";
$mj::hr[$mj::hr_max++] = "em03.png 64 64";
$mj::hr[$mj::hr_max++] = "em04.png 64 64";
$mj::hr[$mj::hr_max++] = "em05.png 64 64";
$mj::hr[$mj::hr_max++] = "em06.png 64 64";
$mj::hr[$mj::hr_max++] = "em07.png 64 64";
$mj::hr[$mj::hr_max++] = "em08.png 64 64";
$mj::hr[$mj::hr_max++] = "em09.png 64 64";
$mj::hr[$mj::hr_max++] = "em10.png 64 64";
$mj::hr[$mj::hr_max++] = "em11.png 64 64";
$mj::hr[$mj::hr_max++] = "em12.png 64 64";
$mj::hr[$mj::hr_max++] = "em13.png 64 64";
$mj::hr[$mj::hr_max++] = "em14.png 64 64";
$mj::hr[$mj::hr_max++] = "en00.png 64 64";
$mj::hr[$mj::hr_max++] = "en01.png 64 64";
$mj::hr[$mj::hr_max++] = "en02.png 64 64";
$mj::hr[$mj::hr_max++] = "en03.png 64 64";
$mj::hr[$mj::hr_max++] = "en04.png 64 64";
$mj::hr[$mj::hr_max++] = "en05.png 64 64";
$mj::hr[$mj::hr_max++] = "en06.png 64 64";
$mj::hr[$mj::hr_max++] = "en07.png 64 64";
$mj::hr[$mj::hr_max++] = "en08.png 64 64";
$mj::hr[$mj::hr_max++] = "en09.png 64 64";
$mj::hr[$mj::hr_max++] = "en10.png 64 64";
$mj::hr[$mj::hr_max++] = "en11.png 64 64";
$mj::hr[$mj::hr_max++] = "en12.png 64 64";
$mj::hr[$mj::hr_max++] = "en13.png 64 64";
$mj::hr[$mj::hr_max++] = "en14.png 64 64";
$mj::hr[$mj::hr_max++] = "ener00.png 32 32";
$mj::hr[$mj::hr_max++] = "ener01.png 32 32";
$mj::hr[$mj::hr_max++] = "ener02.png 32 32";
$mj::hr[$mj::hr_max++] = "ener03.png 32 32";
$mj::hr[$mj::hr_max++] = "ener04.png 32 32";
$mj::hr[$mj::hr_max++] = "ener05.png 32 32";
$mj::hr[$mj::hr_max++] = "energygun.png 256 128";
$mj::hr[$mj::hr_max++] = "fiery00.png 64 64";
$mj::hr[$mj::hr_max++] = "fiery01.png 64 64";
$mj::hr[$mj::hr_max++] = "fiery02.png 64 64";
$mj::hr[$mj::hr_max++] = "fiery03.png 64 64";
$mj::hr[$mj::hr_max++] = "fiery04.png 64 64";
$mj::hr[$mj::hr_max++] = "fiery05.png 64 64";
$mj::hr[$mj::hr_max++] = "fiery06.png 64 64";
$mj::hr[$mj::hr_max++] = "fiery07.png 64 64";
$mj::hr[$mj::hr_max++] = "fiery08.png 64 64";
$mj::hr[$mj::hr_max++] = "fiery09.png 64 64";
$mj::hr[$mj::hr_max++] = "fiery10.png 64 64";
$mj::hr[$mj::hr_max++] = "fiery11.png 64 64";
$mj::hr[$mj::hr_max++] = "fiery12.png 64 64";
$mj::hr[$mj::hr_max++] = "fiery13.png 64 64";
$mj::hr[$mj::hr_max++] = "fiery14.png 64 64";
$mj::hr[$mj::hr_max++] = "flame.png 32 64";
$mj::hr[$mj::hr_max++] = "flare.png 64 64";
$mj::hr[$mj::hr_max++] = "Flash01.png 64 64";
$mj::hr[$mj::hr_max++] = "Flash02.png 64 64";
$mj::hr[$mj::hr_max++] = "Flash03.png 64 64";
$mj::hr[$mj::hr_max++] = "Flash04.png 64 64";
$mj::hr[$mj::hr_max++] = "Flash05.png 64 64";
$mj::hr[$mj::hr_max++] = "Flash06.png 64 64";
$mj::hr[$mj::hr_max++] = "Flash07.png 64 64";
$mj::hr[$mj::hr_max++] = "Flash08.png 64 64";
$mj::hr[$mj::hr_max++] = "Flash09.png 64 64";
$mj::hr[$mj::hr_max++] = "Flash10.png 64 64";
$mj::hr[$mj::hr_max++] = "Flash11.png 64 64";
$mj::hr[$mj::hr_max++] = "Flash12.png 64 64";
$mj::hr[$mj::hr_max++] = "Flash13.png 64 64";
$mj::hr[$mj::hr_max++] = "Flash14.png 64 64";
$mj::hr[$mj::hr_max++] = "Flash15.png 64 64";
$mj::hr[$mj::hr_max++] = "Flash16.png 64 64";
$mj::hr[$mj::hr_max++] = "Flash17.png 64 64";
$mj::hr[$mj::hr_max++] = "flyercockpit.png 128 128";
$mj::hr[$mj::hr_max++] = "flyerexhaust.png 32 64";
$mj::hr[$mj::hr_max++] = "flyerflame1.png 64 32";
$mj::hr[$mj::hr_max++] = "flyerflame.png 64 64";
$mj::hr[$mj::hr_max++] = "flyer.png 256 256";
$mj::hr[$mj::hr_max++] = "footprintl.png 32 32";
$mj::hr[$mj::hr_max++] = "footprintr.png 32 32";
$mj::hr[$mj::hr_max++] = "forcefield1.png 64 64";
$mj::hr[$mj::hr_max++] = "forcefield2.png 64 64";
$mj::hr[$mj::hr_max++] = "forcefield3.png 64 64";
$mj::hr[$mj::hr_max++] = "forcefield4.png 64 64";
$mj::hr[$mj::hr_max++] = "forcefield5.png 64 64";
$mj::hr[$mj::hr_max++] = "forcefield.png 64 64";
$mj::hr[$mj::hr_max++] = "fuex00.png 64 64";
$mj::hr[$mj::hr_max++] = "fuex01.png 64 64";
$mj::hr[$mj::hr_max++] = "fuex02.png 64 64";
$mj::hr[$mj::hr_max++] = "fuex03.png 64 64";
$mj::hr[$mj::hr_max++] = "fuex04.png 64 64";
$mj::hr[$mj::hr_max++] = "fuex05.png 64 64";
$mj::hr[$mj::hr_max++] = "fuex06.png 64 64";
$mj::hr[$mj::hr_max++] = "fuex07.png 64 64";
$mj::hr[$mj::hr_max++] = "fuex08.png 64 64";
$mj::hr[$mj::hr_max++] = "fuex09.png 64 64";
$mj::hr[$mj::hr_max++] = "fuex10.png 64 64";
$mj::hr[$mj::hr_max++] = "fuex11.png 64 64";
$mj::hr[$mj::hr_max++] = "fuex12.png 64 64";
$mj::hr[$mj::hr_max++] = "fuex13.png 64 64";
$mj::hr[$mj::hr_max++] = "fuex14.png 64 64";
$mj::hr[$mj::hr_max++] = "fusion00.png 64 64";
$mj::hr[$mj::hr_max++] = "fusion01.png 64 64";
$mj::hr[$mj::hr_max++] = "fusion02.png 64 64";
$mj::hr[$mj::hr_max++] = "fusion03.png 64 64";
$mj::hr[$mj::hr_max++] = "fusion04.png 64 64";
$mj::hr[$mj::hr_max++] = "fusion05.png 64 64";
$mj::hr[$mj::hr_max++] = "fusion06.png 64 64";
$mj::hr[$mj::hr_max++] = "fusion07.png 64 64";
$mj::hr[$mj::hr_max++] = "fusion08.png 64 64";
$mj::hr[$mj::hr_max++] = "fusion09.png 64 64";
$mj::hr[$mj::hr_max++] = "fusion10.png 64 64";
$mj::hr[$mj::hr_max++] = "fusion11.png 64 64";
$mj::hr[$mj::hr_max++] = "fx_lensflare_0.png 128 128";
$mj::hr[$mj::hr_max++] = "fx_lensflare_1.png 32 32";
$mj::hr[$mj::hr_max++] = "fx_lensflare_2.png 32 32";
$mj::hr[$mj::hr_max++] = "fx_lensflare_3.png 64 64";
$mj::hr[$mj::hr_max++] = "fx_lensflare_4.png 32 32";
$mj::hr[$mj::hr_max++] = "fx_lensflare_5.png 128 128";
$mj::hr[$mj::hr_max++] = "glite00.png 4 4";
$mj::hr[$mj::hr_max++] = "glite01.png 4 4";
$mj::hr[$mj::hr_max++] = "glite02.png 4 4";
$mj::hr[$mj::hr_max++] = "green.flag.png 64 64";
$mj::hr[$mj::hr_max++] = "green.harmor.png 256 256";
$mj::hr[$mj::hr_max++] = "green.larmor.png 256 256";
$mj::hr[$mj::hr_max++] = "green.lfemale.png 256 256";
$mj::hr[$mj::hr_max++] = "green.marmor.png 256 256";
$mj::hr[$mj::hr_max++] = "green.mfemale.png 256 256";
$mj::hr[$mj::hr_max++] = "grenade.png 256 128";
$mj::hr[$mj::hr_max++] = "grenammo.png 64 128";
$mj::hr[$mj::hr_max++] = "grey_tex.png 128 128";
$mj::hr[$mj::hr_max++] = "grn_blink0.png 32 32";
$mj::hr[$mj::hr_max++] = "grn_blink1.png 32 32";
$mj::hr[$mj::hr_max++] = "grn_blink2.png 32 32";
$mj::hr[$mj::hr_max++] = "grn_blink3.png 32 32";
$mj::hr[$mj::hr_max++] = "grn_blink4.png 32 32";
$mj::hr[$mj::hr_max++] = "hacgun.png 256 256";
$mj::hr[$mj::hr_max++] = "heavyfootl.png 32 32";
$mj::hr[$mj::hr_max++] = "heavyfoot.png 48 48";
$mj::hr[$mj::hr_max++] = "hover1.png 256 256";
$mj::hr[$mj::hr_max++] = "hover_cockpit.png 128 128";
$mj::hr[$mj::hr_max++] = "hoverexhaust.png 32 64";
$mj::hr[$mj::hr_max++] = "hover_stand1.png 64 64";
$mj::hr[$mj::hr_max++] = "hudtrans.png 128 32";
$mj::hr[$mj::hr_max++] = "id_flrgun.png 128 128";
$mj::hr[$mj::hr_max++] = "invtpnl1.png 64 64";
$mj::hr[$mj::hr_max++] = "jetpack.png 64 64";
$mj::hr[$mj::hr_max++] = "JOINUS3.png 162 60";
$mj::hr[$mj::hr_max++] = "larmor.png 256 256";
$mj::hr[$mj::hr_max++] = "las00.png 64 64";
$mj::hr[$mj::hr_max++] = "las01.png 64 64";
$mj::hr[$mj::hr_max++] = "las02.png 64 64";
$mj::hr[$mj::hr_max++] = "las03.png 64 64";
$mj::hr[$mj::hr_max++] = "las04.png 64 64";
$mj::hr[$mj::hr_max++] = "las05.png 64 64";
$mj::hr[$mj::hr_max++] = "las06.png 64 64";
$mj::hr[$mj::hr_max++] = "laserpulse.png 64 64";
$mj::hr[$mj::hr_max++] = "lashit01.png 64 64";
$mj::hr[$mj::hr_max++] = "lashit02.png 64 64";
$mj::hr[$mj::hr_max++] = "lashit03.png 64 64";
$mj::hr[$mj::hr_max++] = "lashit04.png 64 64";
$mj::hr[$mj::hr_max++] = "lashit05.png 64 64";
$mj::hr[$mj::hr_max++] = "lashit06.png 64 64";
$mj::hr[$mj::hr_max++] = "lashit07.png 64 64";
$mj::hr[$mj::hr_max++] = "lashit08.png 64 64";
$mj::hr[$mj::hr_max++] = "lashit09.png 64 64";
$mj::hr[$mj::hr_max++] = "lashit10.png 64 64";
$mj::hr[$mj::hr_max++] = "lashit11.png 64 64";
$mj::hr[$mj::hr_max++] = "lashit12.png 64 64";
$mj::hr[$mj::hr_max++] = "lashit13.png 64 64";
$mj::hr[$mj::hr_max++] = "launcher.png 64 256";
$mj::hr[$mj::hr_max++] = "leaves128.png 128 128";
$mj::hr[$mj::hr_max++] = "leaves64.png 64 64";
$mj::hr[$mj::hr_max++] = "leaves.png 32 32";
$mj::hr[$mj::hr_max++] = "lfemale.png 256 256";
$mj::hr[$mj::hr_max++] = "lflame.png 64 64";
$mj::hr[$mj::hr_max++] = "light00.png 64 32";
$mj::hr[$mj::hr_max++] = "light01.png 64 32";
$mj::hr[$mj::hr_max++] = "light02.png 64 32";
$mj::hr[$mj::hr_max++] = "light03.png 64 32";
$mj::hr[$mj::hr_max++] = "light04.png 64 32";
$mj::hr[$mj::hr_max++] = "lightb00.png 64 32";
$mj::hr[$mj::hr_max++] = "lightfootl.png 32 32";
$mj::hr[$mj::hr_max++] = "lightfoot.png 48 48";
$mj::hr[$mj::hr_max++] = "lightfootr.png 32 32";
$mj::hr[$mj::hr_max++] = "lightningNew.png 16 64";
$mj::hr[$mj::hr_max++] = "lightningNewSub.png 16 64";
$mj::hr[$mj::hr_max++] = "lightningTemp.png 16 64";
$mj::hr[$mj::hr_max++] = "light.png 16 64";
$mj::hr[$mj::hr_max++] = "lights.png 64 128";
$mj::hr[$mj::hr_max++] = "lr_ammo.png 32 16";
$mj::hr[$mj::hr_max++] = "lr_compass.png 38 38";
$mj::hr[$mj::hr_max++] = "lr_hudtrans.png 128 32";
$mj::hr[$mj::hr_max++] = "lr_ping.png 32 32";
$mj::hr[$mj::hr_max++] = "maglock.png 128 128";
$mj::hr[$mj::hr_max++] = "marmor.png 256 256";
$mj::hr[$mj::hr_max++] = "medfin.png 128 32";
$mj::hr[$mj::hr_max++] = "medfootl.png 32 32";
$mj::hr[$mj::hr_max++] = "medfoot.png 48 48";
$mj::hr[$mj::hr_max++] = "medfootr.png 32 32";
$mj::hr[$mj::hr_max++] = "medical.png 128 128";
$mj::hr[$mj::hr_max++] = "metal_64b.png 128 64";
$mj::hr[$mj::hr_max++] = "metal_strip.png 64 64";
$mj::hr[$mj::hr_max++] = "missleturret.png 256 256";
$mj::hr[$mj::hr_max++] = "mort0000.png 64 64";
$mj::hr[$mj::hr_max++] = "mort0001.png 64 64";
$mj::hr[$mj::hr_max++] = "mort0002.png 64 64";
$mj::hr[$mj::hr_max++] = "mort0003.png 64 64";
$mj::hr[$mj::hr_max++] = "mort0004.png 64 64";
$mj::hr[$mj::hr_max++] = "mort0005.png 64 64";
$mj::hr[$mj::hr_max++] = "mort0006.png 64 64";
$mj::hr[$mj::hr_max++] = "mort0007.png 64 64";
$mj::hr[$mj::hr_max++] = "mort0008.png 64 64";
$mj::hr[$mj::hr_max++] = "mort0009.png 64 64";
$mj::hr[$mj::hr_max++] = "mortar1.png 128 128";
$mj::hr[$mj::hr_max++] = "mortargun.png 256 128";
$mj::hr[$mj::hr_max++] = "mortarpack.png 128 128";
$mj::hr[$mj::hr_max++] = "mtrl00.png 64 64";
$mj::hr[$mj::hr_max++] = "mtrl01.png 64 64";
$mj::hr[$mj::hr_max++] = "mtrl02.png 64 64";
$mj::hr[$mj::hr_max++] = "mtrl03.png 64 64";
$mj::hr[$mj::hr_max++] = "mtrl04.png 64 64";
$mj::hr[$mj::hr_max++] = "mtrl05.png 64 64";
$mj::hr[$mj::hr_max++] = "mtrl06.png 64 64";
$mj::hr[$mj::hr_max++] = "mtrl07.png 64 64";
$mj::hr[$mj::hr_max++] = "newdoor1.png 256 256";
$mj::hr[$mj::hr_max++] = "nite001.png 32 32";
$mj::hr[$mj::hr_max++] = "nite002.png 32 32";
$mj::hr[$mj::hr_max++] = "nite003.png 32 32";
$mj::hr[$mj::hr_max++] = "nite004.png 32 32";
$mj::hr[$mj::hr_max++] = "nite005.png 32 32";
$mj::hr[$mj::hr_max++] = "nite006.png 32 32";
$mj::hr[$mj::hr_max++] = "nite007.png 32 32";
$mj::hr[$mj::hr_max++] = "nite008.png 32 32";
$mj::hr[$mj::hr_max++] = "nite_a001.png 32 32";
$mj::hr[$mj::hr_max++] = "nite_a002.png 32 32";
$mj::hr[$mj::hr_max++] = "nite_a003.png 32 32";
$mj::hr[$mj::hr_max++] = "nite_a004.png 32 32";
$mj::hr[$mj::hr_max++] = "nite_a005.png 32 32";
$mj::hr[$mj::hr_max++] = "nite_a006.png 32 32";
$mj::hr[$mj::hr_max++] = "nite_a007.png 32 32";
$mj::hr[$mj::hr_max++] = "nite_a008.png 32 32";
$mj::hr[$mj::hr_max++] = "nite_b001.png 32 32";
$mj::hr[$mj::hr_max++] = "nite_b002.png 32 32";
$mj::hr[$mj::hr_max++] = "nite_b003.png 32 32";
$mj::hr[$mj::hr_max++] = "nite_b004.png 32 32";
$mj::hr[$mj::hr_max++] = "nite_b005.png 32 32";
$mj::hr[$mj::hr_max++] = "nite_b006.png 32 32";
$mj::hr[$mj::hr_max++] = "nite_b007.png 32 32";
$mj::hr[$mj::hr_max++] = "nite_b008.png 32 32";
$mj::hr[$mj::hr_max++] = "olite00.png 8 8";
$mj::hr[$mj::hr_max++] = "olite01.png 8 8";
$mj::hr[$mj::hr_max++] = "olite02.png 8 8";
$mj::hr[$mj::hr_max++] = "olite03.png 8 8";
$mj::hr[$mj::hr_max++] = "olite04.png 8 8";
$mj::hr[$mj::hr_max++] = "orange.flag.png 64 64";
$mj::hr[$mj::hr_max++] = "orange.harmor.png 256 256";
$mj::hr[$mj::hr_max++] = "orange.larmor.png 256 256";
$mj::hr[$mj::hr_max++] = "orange.lfemale.png 256 256";
$mj::hr[$mj::hr_max++] = "orange.marmor.png 256 256";
$mj::hr[$mj::hr_max++] = "orange.mfemale.png 256 256";
$mj::hr[$mj::hr_max++] = "padfloor.png 64 64";
$mj::hr[$mj::hr_max++] = "paint0.png 64 64";
$mj::hr[$mj::hr_max++] = "paint1.png 64 64";
$mj::hr[$mj::hr_max++] = "paint2.png 64 64";
$mj::hr[$mj::hr_max++] = "paint3.png 64 64";
$mj::hr[$mj::hr_max++] = "paint4.png 64 64";
$mj::hr[$mj::hr_max++] = "paint5.png 64 64";
$mj::hr[$mj::hr_max++] = "paintglow.png 32 16";
$mj::hr[$mj::hr_max++] = "paintpulse.png 64 64";
$mj::hr[$mj::hr_max++] = "panel1_vertical.png 32 64";
$mj::hr[$mj::hr_max++] = "panel_square.png 64 64";
$mj::hr[$mj::hr_max++] = "pannel2.png 128 64";
$mj::hr[$mj::hr_max++] = "pglite00.png 16 64";
$mj::hr[$mj::hr_max++] = "ping.png 32 32";
$mj::hr[$mj::hr_max++] = "piston2.png 14 57";
$mj::hr[$mj::hr_max++] = "piston.png 32 64";
$mj::hr[$mj::hr_max++] = "plant.png 64 128";
$mj::hr[$mj::hr_max++] = "plas01.png 64 64";
$mj::hr[$mj::hr_max++] = "plas02.png 64 64";
$mj::hr[$mj::hr_max++] = "plas03.png 64 64";
$mj::hr[$mj::hr_max++] = "plas04.png 64 64";
$mj::hr[$mj::hr_max++] = "plas05.png 64 64";
$mj::hr[$mj::hr_max++] = "plas06.png 64 64";
$mj::hr[$mj::hr_max++] = "plas07.png 64 64";
$mj::hr[$mj::hr_max++] = "plas08.png 64 64";
$mj::hr[$mj::hr_max++] = "plas09.png 64 64";
$mj::hr[$mj::hr_max++] = "plas10.png 64 64";
$mj::hr[$mj::hr_max++] = "plas11.png 64 64";
$mj::hr[$mj::hr_max++] = "plas12.png 64 64";
$mj::hr[$mj::hr_max++] = "plas13.png 64 64";
$mj::hr[$mj::hr_max++] = "plas14.png 64 64";
$mj::hr[$mj::hr_max++] = "plas15.png 64 64";
$mj::hr[$mj::hr_max++] = "plas16.png 64 64";
$mj::hr[$mj::hr_max++] = "plas17.png 64 64";
$mj::hr[$mj::hr_max++] = "plas18.png 64 64";
$mj::hr[$mj::hr_max++] = "plasammo.png 32 64";
$mj::hr[$mj::hr_max++] = "plasmabolt.png 64 64";
$mj::hr[$mj::hr_max++] = "plasma.png 256 128";
$mj::hr[$mj::hr_max++] = "plite00.png 4 4";
$mj::hr[$mj::hr_max++] = "plite01.png 4 4";
$mj::hr[$mj::hr_max++] = "plite02.png 4 4";
$mj::hr[$mj::hr_max++] = "plite03.png 4 4";
$mj::hr[$mj::hr_max++] = "portgen3.png 32 32";
$mj::hr[$mj::hr_max++] = "portgen.png 64 64";
$mj::hr[$mj::hr_max++] = "portlit0.png 32 32";
$mj::hr[$mj::hr_max++] = "ptrail0001.png 64 64";
$mj::hr[$mj::hr_max++] = "ptrail0002.png 64 64";
$mj::hr[$mj::hr_max++] = "ptrail0003.png 64 64";
$mj::hr[$mj::hr_max++] = "ptrail0004.png 64 64";
$mj::hr[$mj::hr_max++] = "ptrail0005.png 64 64";
$mj::hr[$mj::hr_max++] = "ptrail0006.png 64 64";
$mj::hr[$mj::hr_max++] = "ptrail0007.png 64 64";
$mj::hr[$mj::hr_max++] = "ptrail0008.png 64 64";
$mj::hr[$mj::hr_max++] = "ptrail0009.png 64 64";
$mj::hr[$mj::hr_max++] = "ptrail0010.png 64 64";
$mj::hr[$mj::hr_max++] = "ptrail0011.png 64 64";
$mj::hr[$mj::hr_max++] = "ptrail0012.png 64 64";
$mj::hr[$mj::hr_max++] = "PULSE00.png 16 32";
$mj::hr[$mj::hr_max++] = "PULSE01.png 16 32";
$mj::hr[$mj::hr_max++] = "PULSE02.png 16 32";
$mj::hr[$mj::hr_max++] = "PULSE03.png 16 32";
$mj::hr[$mj::hr_max++] = "PULSE04.png 16 32";
$mj::hr[$mj::hr_max++] = "PULSE05.png 16 32";
$mj::hr[$mj::hr_max++] = "PULSE06.png 16 32";
$mj::hr[$mj::hr_max++] = "PULSE07.png 16 32";
$mj::hr[$mj::hr_max++] = "PULSE08.png 16 32";
$mj::hr[$mj::hr_max++] = "PULSE09.png 32 64";
$mj::hr[$mj::hr_max++] = "pulse.png 64 64";
$mj::hr[$mj::hr_max++] = "purple.flag.png 64 64";
$mj::hr[$mj::hr_max++] = "purple.harmor.png 256 256";
$mj::hr[$mj::hr_max++] = "purple.larmor.png 256 256";
$mj::hr[$mj::hr_max++] = "purple.lfemale.png 256 256";
$mj::hr[$mj::hr_max++] = "purple.marmor.png 256 256";
$mj::hr[$mj::hr_max++] = "purple.mfemale.png 256 256";
$mj::hr[$mj::hr_max++] = "pwrgenr1.png 128 128";
$mj::hr[$mj::hr_max++] = "radar.png 128 128";
$mj::hr[$mj::hr_max++] = "radar_small.png 64 64";
$mj::hr[$mj::hr_max++] = "red_blink0.png 32 32";
$mj::hr[$mj::hr_max++] = "red_blink1.png 32 32";
$mj::hr[$mj::hr_max++] = "red_blink2.png 32 32";
$mj::hr[$mj::hr_max++] = "red_blink3.png 32 32";
$mj::hr[$mj::hr_max++] = "red_blink4.png 32 32";
$mj::hr[$mj::hr_max++] = "redbrown_tex.png 128 128";
$mj::hr[$mj::hr_max++] = "reddish_wall.png 64 128";
$mj::hr[$mj::hr_max++] = "repairAdd.png 32 64";
$mj::hr[$mj::hr_max++] = "repairgun.png 256 128";
$mj::hr[$mj::hr_max++] = "rlight00.png 64 16";
$mj::hr[$mj::hr_max++] = "rlight01.png 64 16";
$mj::hr[$mj::hr_max++] = "rlight02.png 64 16";
$mj::hr[$mj::hr_max++] = "rlight03.png 64 16";
$mj::hr[$mj::hr_max++] = "rlight04.png 64 16";
$mj::hr[$mj::hr_max++] = "rlite00.png 4 4";
$mj::hr[$mj::hr_max++] = "rlite01.png 4 4";
$mj::hr[$mj::hr_max++] = "rlite02.png 4 4";
$mj::hr[$mj::hr_max++] = "rlite03.png 4 4";
$mj::hr[$mj::hr_max++] = "r_mine1.png 64 64";
$mj::hr[$mj::hr_max++] = "rocket.png 64 32";
$mj::hr[$mj::hr_max++] = "rpulse00.png 16 32";
$mj::hr[$mj::hr_max++] = "rpulse01.png 16 32";
$mj::hr[$mj::hr_max++] = "rpulse02.png 16 32";
$mj::hr[$mj::hr_max++] = "rpulse03.png 16 32";
$mj::hr[$mj::hr_max++] = "rpulse04.png 16 32";
$mj::hr[$mj::hr_max++] = "rpulse05.png 16 32";
$mj::hr[$mj::hr_max++] = "rpulse06.png 16 32";
$mj::hr[$mj::hr_max++] = "rpulse07.png 16 32";
$mj::hr[$mj::hr_max++] = "rpulse08.png 16 32";
$mj::hr[$mj::hr_max++] = "rpulse09.png 16 32";
$mj::hr[$mj::hr_max++] = "rsmoke01.png 64 64";
$mj::hr[$mj::hr_max++] = "rsmoke02.png 64 64";
$mj::hr[$mj::hr_max++] = "rsmoke03.png 64 64";
$mj::hr[$mj::hr_max++] = "rsmoke04.png 64 64";
$mj::hr[$mj::hr_max++] = "rsmoke05.png 64 64";
$mj::hr[$mj::hr_max++] = "rsmoke06.png 64 64";
$mj::hr[$mj::hr_max++] = "rsmoke07.png 64 64";
$mj::hr[$mj::hr_max++] = "rsmoke08.png 64 64";
$mj::hr[$mj::hr_max++] = "rsmoke09.png 64 64";
$mj::hr[$mj::hr_max++] = "rsmoke10.png 64 64";
$mj::hr[$mj::hr_max++] = "rsmoke11.png 64 64";
$mj::hr[$mj::hr_max++] = "rsmoke12.png 64 64";
$mj::hr[$mj::hr_max++] = "rsmoke13.png 64 64";
$mj::hr[$mj::hr_max++] = "rsmoke14.png 64 64";
$mj::hr[$mj::hr_max++] = "rsmoke15.png 64 64";
$mj::hr[$mj::hr_max++] = "rsmoke16.png 64 64";
$mj::hr[$mj::hr_max++] = "rsmoke17.png 64 64";
$mj::hr[$mj::hr_max++] = "rtrail1.png 64 128";
$mj::hr[$mj::hr_max++] = "rtrail2.png 64 128";
$mj::hr[$mj::hr_max++] = "rtrail3.png 64 128";
$mj::hr[$mj::hr_max++] = "rtrail4.png 64 128";
$mj::hr[$mj::hr_max++] = "rtrail5.png 64 128";
$mj::hr[$mj::hr_max++] = "rtrail6.png 64 128";
$mj::hr[$mj::hr_max++] = "sat_big.png 128 128";
$mj::hr[$mj::hr_max++] = "sat_up.png 128 128";
$mj::hr[$mj::hr_max++] = "scorp1.png 256 256";
$mj::hr[$mj::hr_max++] = "sensorjampack.png 64 64";
$mj::hr[$mj::hr_max++] = "sensor_rmt_jammer.png 64 64";
$mj::hr[$mj::hr_max++] = "sensor_rmt.png 64 64";
$mj::hr[$mj::hr_max++] = "shex00.png 64 64";
$mj::hr[$mj::hr_max++] = "shex01.png 64 64";
$mj::hr[$mj::hr_max++] = "shex02.png 64 64";
$mj::hr[$mj::hr_max++] = "shex03.png 64 64";
$mj::hr[$mj::hr_max++] = "shex04.png 64 64";
$mj::hr[$mj::hr_max++] = "shex05.png 64 64";
$mj::hr[$mj::hr_max++] = "shex06.png 64 64";
$mj::hr[$mj::hr_max++] = "shex07.png 64 64";
$mj::hr[$mj::hr_max++] = "shex08.png 64 64";
$mj::hr[$mj::hr_max++] = "shex09.png 64 64";
$mj::hr[$mj::hr_max++] = "shex10.png 64 64";
$mj::hr[$mj::hr_max++] = "shex11.png 64 64";
$mj::hr[$mj::hr_max++] = "shflsh00.png 64 64";
$mj::hr[$mj::hr_max++] = "shflsh01.png 64 64";
$mj::hr[$mj::hr_max++] = "shflsh02.png 64 64";
$mj::hr[$mj::hr_max++] = "shflsh03.png 64 64";
$mj::hr[$mj::hr_max++] = "shflsh04.png 64 64";
$mj::hr[$mj::hr_max++] = "shflsh05.png 64 64";
$mj::hr[$mj::hr_max++] = "shflsh06.png 64 64";
$mj::hr[$mj::hr_max++] = "shflsh07.png 64 64";
$mj::hr[$mj::hr_max++] = "shield00.png 64 64";
$mj::hr[$mj::hr_max++] = "shield01.png 64 64";
$mj::hr[$mj::hr_max++] = "shield02.png 64 64";
$mj::hr[$mj::hr_max++] = "shield03.png 64 64";
$mj::hr[$mj::hr_max++] = "shield04.png 64 64";
$mj::hr[$mj::hr_max++] = "shield05.png 64 64";
$mj::hr[$mj::hr_max++] = "shield06.png 64 64";
$mj::hr[$mj::hr_max++] = "shield07.png 64 64";
$mj::hr[$mj::hr_max++] = "shield08.png 64 64";
$mj::hr[$mj::hr_max++] = "shield09.png 64 64";
$mj::hr[$mj::hr_max++] = "shield10.png 64 64";
$mj::hr[$mj::hr_max++] = "shield11.png 64 64";
$mj::hr[$mj::hr_max++] = "shieldpack.png 64 64";
$mj::hr[$mj::hr_max++] = "shinny_tech.png 128 128";
$mj::hr[$mj::hr_max++] = "shkwv0.png 64 64";
$mj::hr[$mj::hr_max++] = "shkwv1.png 64 64";
$mj::hr[$mj::hr_max++] = "shkwv2.png 64 64";
$mj::hr[$mj::hr_max++] = "shkwv3.png 64 64";
$mj::hr[$mj::hr_max++] = "shkwv4.png 64 64";
$mj::hr[$mj::hr_max++] = "shock.png 128 128";
$mj::hr[$mj::hr_max++] = "shotgunbolt.png 64 64";
$mj::hr[$mj::hr_max++] = "shotgunex00.png 64 64";
$mj::hr[$mj::hr_max++] = "shotgunex01.png 64 64";
$mj::hr[$mj::hr_max++] = "shotgunex02.png 64 64";
$mj::hr[$mj::hr_max++] = "shotgunex03.png 64 64";
$mj::hr[$mj::hr_max++] = "shotgunglow.png 32 32";
$mj::hr[$mj::hr_max++] = "shotgun.png 256 128";
$mj::hr[$mj::hr_max++] = "smoke01.png 64 64";
$mj::hr[$mj::hr_max++] = "smoke02.png 64 64";
$mj::hr[$mj::hr_max++] = "smoke03.png 64 64";
$mj::hr[$mj::hr_max++] = "smoke04.png 64 64";
$mj::hr[$mj::hr_max++] = "smoke05.png 64 64";
$mj::hr[$mj::hr_max++] = "smoke06.png 64 64";
$mj::hr[$mj::hr_max++] = "smoke07.png 64 64";
$mj::hr[$mj::hr_max++] = "smoke08.png 64 64";
$mj::hr[$mj::hr_max++] = "smoke09.png 64 64";
$mj::hr[$mj::hr_max++] = "smoke10.png 64 64";
$mj::hr[$mj::hr_max++] = "smoke11.png 64 64";
$mj::hr[$mj::hr_max++] = "smoke12.png 64 64";
$mj::hr[$mj::hr_max++] = "smoke13.png 64 64";
$mj::hr[$mj::hr_max++] = "smoke14.png 64 64";
$mj::hr[$mj::hr_max++] = "smoke15.png 64 64";
$mj::hr[$mj::hr_max++] = "smoke16.png 64 64";
$mj::hr[$mj::hr_max++] = "smoke17.png 64 64";
$mj::hr[$mj::hr_max++] = "smoke18.png 64 64";
$mj::hr[$mj::hr_max++] = "sniper.png 256 128";
$mj::hr[$mj::hr_max++] = "snowplume01.png 64 64";
$mj::hr[$mj::hr_max++] = "snowplume02.png 64 64";
$mj::hr[$mj::hr_max++] = "snowplume03.png 64 64";
$mj::hr[$mj::hr_max++] = "snowplume04.png 64 64";
$mj::hr[$mj::hr_max++] = "snowplume05.png 64 64";
$mj::hr[$mj::hr_max++] = "snowplume06.png 64 64";
$mj::hr[$mj::hr_max++] = "snowplume07.png 64 64";
$mj::hr[$mj::hr_max++] = "snowplume08.png 64 64";
$mj::hr[$mj::hr_max++] = "snowplume09.png 64 64";
$mj::hr[$mj::hr_max++] = "snowplume10.png 64 64";
$mj::hr[$mj::hr_max++] = "snowplume11.png 64 64";
$mj::hr[$mj::hr_max++] = "snowplume12.png 64 64";
$mj::hr[$mj::hr_max++] = "solar.png 64 64";
$mj::hr[$mj::hr_max++] = "stafflag.png 64 64";
$mj::hr[$mj::hr_max++] = "staff.png 32 32";
$mj::hr[$mj::hr_max++] = "steam000.png 64 64";
$mj::hr[$mj::hr_max++] = "steam001.png 64 64";
$mj::hr[$mj::hr_max++] = "steam005.png 64 64";
$mj::hr[$mj::hr_max++] = "steam009.png 64 64";
$mj::hr[$mj::hr_max++] = "steam013.png 64 64";
$mj::hr[$mj::hr_max++] = "steam017.png 64 64";
$mj::hr[$mj::hr_max++] = "steam021.png 64 64";
$mj::hr[$mj::hr_max++] = "steam025.png 64 64";
$mj::hr[$mj::hr_max++] = "steam029.png 64 64";
$mj::hr[$mj::hr_max++] = "steam033.png 64 64";
$mj::hr[$mj::hr_max++] = "steam037.png 64 64";
$mj::hr[$mj::hr_max++] = "steam041.png 64 64";
$mj::hr[$mj::hr_max++] = "steam045.png 64 64";
$mj::hr[$mj::hr_max++] = "steam049.png 64 64";
$mj::hr[$mj::hr_max++] = "steam053.png 64 64";
$mj::hr[$mj::hr_max++] = "steam057.png 64 64";
$mj::hr[$mj::hr_max++] = "supply.png 256 256";
$mj::hr[$mj::hr_max++] = "supply_rec.png 256 256";
$mj::hr[$mj::hr_max++] = "swolf.door.png 64 64";
$mj::hr[$mj::hr_max++] = "swolf.flag.png 64 64";
$mj::hr[$mj::hr_max++] = "swolf.harmor.png 256 256";
$mj::hr[$mj::hr_max++] = "swolf.larmor.png 256 256";
$mj::hr[$mj::hr_max++] = "swolf.lfemale.png 256 256";
$mj::hr[$mj::hr_max++] = "swolf.marmor.png 256 256";
$mj::hr[$mj::hr_max++] = "swolf.mfemale.png 256 256";
$mj::hr[$mj::hr_max++] = "tech_plate.png 128 128";
$mj::hr[$mj::hr_max++] = "tekpanel.png 128 64";
$mj::hr[$mj::hr_max++] = "teleporter.png 256 256";
$mj::hr[$mj::hr_max++] = "trailAdd2.png 64 64";
$mj::hr[$mj::hr_max++] = "trailAdd.png 64 128";
$mj::hr[$mj::hr_max++] = "trailTest.png 64 128";
$mj::hr[$mj::hr_max++] = "tribes1651.png 192 80";
$mj::hr[$mj::hr_max++] = "trunk.png 64 128";
$mj::hr[$mj::hr_max++] = "tum00.png 64 64";
$mj::hr[$mj::hr_max++] = "tum01.png 64 64";
$mj::hr[$mj::hr_max++] = "tum02.png 64 64";
$mj::hr[$mj::hr_max++] = "tum03.png 64 64";
$mj::hr[$mj::hr_max++] = "tum04.png 64 64";
$mj::hr[$mj::hr_max++] = "tum05.png 64 64";
$mj::hr[$mj::hr_max++] = "tum06.png 64 64";
$mj::hr[$mj::hr_max++] = "tum07.png 64 64";
$mj::hr[$mj::hr_max++] = "tum08.png 64 64";
$mj::hr[$mj::hr_max++] = "tum09.png 64 64";
$mj::hr[$mj::hr_max++] = "tum10.png 64 64";
$mj::hr[$mj::hr_max++] = "tum11.png 64 64";
$mj::hr[$mj::hr_max++] = "tum12.png 64 64";
$mj::hr[$mj::hr_max++] = "tum13.png 64 64";
$mj::hr[$mj::hr_max++] = "tum14.png 64 64";
$mj::hr[$mj::hr_max++] = "tum15.png 64 64";
$mj::hr[$mj::hr_max++] = "tum16.png 64 64";
$mj::hr[$mj::hr_max++] = "tum17.png 64 64";
$mj::hr[$mj::hr_max++] = "tum18.png 64 64";
$mj::hr[$mj::hr_max++] = "tum19.png 64 64";
$mj::hr[$mj::hr_max++] = "tum20.png 64 64";
$mj::hr[$mj::hr_max++] = "turbase.png 128 128";
$mj::hr[$mj::hr_max++] = "turret.png 128 128";
$mj::hr[$mj::hr_max++] = "wall1.png 128 128";
$mj::hr[$mj::hr_max++] = "warp.png 128 128";
$mj::hr[$mj::hr_max++] = "wes00.png 64 64";
$mj::hr[$mj::hr_max++] = "wes01.png 64 64";
$mj::hr[$mj::hr_max++] = "wes02.png 64 64";
$mj::hr[$mj::hr_max++] = "wes03.png 64 64";
$mj::hr[$mj::hr_max++] = "wes04.png 64 64";
$mj::hr[$mj::hr_max++] = "wes05.png 64 64";
$mj::hr[$mj::hr_max++] = "wes06.png 64 64";
$mj::hr[$mj::hr_max++] = "wes07.png 64 64";
$mj::hr[$mj::hr_max++] = "wes08.png 64 64";
$mj::hr[$mj::hr_max++] = "wes09.png 64 64";
$mj::hr[$mj::hr_max++] = "wes10.png 64 64";
$mj::hr[$mj::hr_max++] = "x00.png 64 64";
$mj::hr[$mj::hr_max++] = "x01.png 64 64";
$mj::hr[$mj::hr_max++] = "x02.png 64 64";
$mj::hr[$mj::hr_max++] = "x03.png 64 64";
$mj::hr[$mj::hr_max++] = "x04.png 64 64";
$mj::hr[$mj::hr_max++] = "x05.png 64 64";
$mj::hr[$mj::hr_max++] = "x06.png 64 64";
$mj::hr[$mj::hr_max++] = "x07.png 64 64";
$mj::hr[$mj::hr_max++] = "x08.png 64 64";
$mj::hr[$mj::hr_max++] = "x09.png 64 64";
$mj::hr[$mj::hr_max++] = "x10.png 64 64";
$mj::hr[$mj::hr_max++] = "x11.png 64 64";
$mj::hr[$mj::hr_max++] = "ylite00.png 8 8";
$mj::hr[$mj::hr_max++] = "ylite01.png 8 8";
$mj::hr[$mj::hr_max++] = "ylite02.png 8 8";
$mj::hr[$mj::hr_max++] = "ylite03.png 8 8";
$mj::hr[$mj::hr_max++] = "zap01.png 128 128";
$mj::hr[$mj::hr_max++] = "zap02.png 128 128";
$mj::hr[$mj::hr_max++] = "zap03.png 128 128";
$mj::hr[$mj::hr_max++] = "zap04.png 128 128";
$mj::hr[$mj::hr_max++] = "zap05.png 128 128";
$mj::hr[$mj::hr_max++] = "zap06.png 128 128";
//human1DML
$mj::hr[$mj::hr_max++] = "base_cold.png 128 128";
$mj::hr[$mj::hr_max++] = "base_copper.png 128 128";
$mj::hr[$mj::hr_max++] = "base_dark.png 128 128";
$mj::hr[$mj::hr_max++] = "base.emblem10.png 128 128";
$mj::hr[$mj::hr_max++] = "base.emblem11.png 128 128";
$mj::hr[$mj::hr_max++] = "base.emblem1.png 128 256";
$mj::hr[$mj::hr_max++] = "base.emblem2.png 128 128";
$mj::hr[$mj::hr_max++] = "base.emblem3.png 64 128";
$mj::hr[$mj::hr_max++] = "base.emblem4.png 64 32";
$mj::hr[$mj::hr_max++] = "base.emblem5.png 32 16";
$mj::hr[$mj::hr_max++] = "base.emblem6.png 128 128";
$mj::hr[$mj::hr_max++] = "base.emblem7.png 128 128";
$mj::hr[$mj::hr_max++] = "base.emblem8.png 128 128";
$mj::hr[$mj::hr_max++] = "base.emblem9.png 128 128";
$mj::hr[$mj::hr_max++] = "base_gold.png 128 128";
$mj::hr[$mj::hr_max++] = "base_marble.png 128 128";
$mj::hr[$mj::hr_max++] = "base_metal.png 128 128";
$mj::hr[$mj::hr_max++] = "base_rock.png 128 128";
$mj::hr[$mj::hr_max++] = "base_steel.png 128 128";
$mj::hr[$mj::hr_max++] = "base_warm.png 128 128";
$mj::hr[$mj::hr_max++] = "base_wood.png 128 128";
$mj::hr[$mj::hr_max++] = "beagle.emblem10.png 128 128";
$mj::hr[$mj::hr_max++] = "beagle.emblem11.png 128 128";
$mj::hr[$mj::hr_max++] = "beagle.emblem1.png 128 256";
$mj::hr[$mj::hr_max++] = "beagle.emblem2.png 128 128";
$mj::hr[$mj::hr_max++] = "beagle.emblem3.png 64 128";
$mj::hr[$mj::hr_max++] = "beagle.emblem4.png 64 32";
$mj::hr[$mj::hr_max++] = "beagle.emblem5.png 32 16";
$mj::hr[$mj::hr_max++] = "beagle.emblem6.png 128 128";
$mj::hr[$mj::hr_max++] = "beagle.emblem8.png 128 128";
$mj::hr[$mj::hr_max++] = "beagle.emblem9.png 128 128";
$mj::hr[$mj::hr_max++] = "blue.emblem10.png 128 128";
$mj::hr[$mj::hr_max++] = "blue.emblem11.png 128 128";
$mj::hr[$mj::hr_max++] = "blue.emblem1.png 128 256";
$mj::hr[$mj::hr_max++] = "blue.emblem2.png 128 128";
$mj::hr[$mj::hr_max++] = "blue.emblem3.png 64 128";
$mj::hr[$mj::hr_max++] = "blue.emblem4.png 64 32";
$mj::hr[$mj::hr_max++] = "blue.emblem5.png 32 16";
$mj::hr[$mj::hr_max++] = "blue.emblem6.png 128 128";
$mj::hr[$mj::hr_max++] = "blue.emblem7.png 128 128";
$mj::hr[$mj::hr_max++] = "blue.emblem8.png 128 128";
$mj::hr[$mj::hr_max++] = "blue.emblem9.png 128 128";
$mj::hr[$mj::hr_max++] = "carpet_base.png 32 32";
$mj::hr[$mj::hr_max++] = "carpet_bend.png 128 128";
$mj::hr[$mj::hr_max++] = "carpet_cap.png 128 128";
$mj::hr[$mj::hr_max++] = "carpet_strait.png 128 128";
$mj::hr[$mj::hr_max++] = "carpet_tee.png 128 128";
$mj::hr[$mj::hr_max++] = "cold_16b.png 128 16";
$mj::hr[$mj::hr_max++] = "cold_32b.png 128 32";
$mj::hr[$mj::hr_max++] = "cold_64b.png 64 128";
$mj::hr[$mj::hr_max++] = "cold_ft.png 16 16";
$mj::hr[$mj::hr_max++] = "cold_wt.png 128 64";
$mj::hr[$mj::hr_max++] = "copper_32b.png 64 64";
$mj::hr[$mj::hr_max++] = "cphoenix.emblem10.png 128 128";
$mj::hr[$mj::hr_max++] = "cphoenix.emblem11.png 128 128";
$mj::hr[$mj::hr_max++] = "cphoenix.emblem1.png 128 256";
$mj::hr[$mj::hr_max++] = "cphoenix.emblem2.png 128 128";
$mj::hr[$mj::hr_max++] = "cphoenix.emblem3.png 64 128";
$mj::hr[$mj::hr_max++] = "cphoenix.emblem4.png 64 32";
$mj::hr[$mj::hr_max++] = "cphoenix.emblem5.png 32 16";
$mj::hr[$mj::hr_max++] = "cphoenix.emblem6.png 128 128";
$mj::hr[$mj::hr_max++] = "cphoenix.emblem8.png 128 128";
$mj::hr[$mj::hr_max++] = "cphoenix.emblem9.png 128 128";
$mj::hr[$mj::hr_max++] = "dark_16b.png 64 16";
$mj::hr[$mj::hr_max++] = "dark_32b.png 64 32";
$mj::hr[$mj::hr_max++] = "dark_64b.png 64 64";
$mj::hr[$mj::hr_max++] = "dark_ft.png 16 32";
$mj::hr[$mj::hr_max++] = "dark_wt.png 128 128";
$mj::hr[$mj::hr_max++] = "display_cammera.png 32 32";
$mj::hr[$mj::hr_max++] = "display_command.png 32 32";
$mj::hr[$mj::hr_max++] = "display_comm.png 32 32";
$mj::hr[$mj::hr_max++] = "display_defense.png 32 32";
$mj::hr[$mj::hr_max++] = "display_power.png 32 32";
$mj::hr[$mj::hr_max++] = "display_status.png 32 32";
$mj::hr[$mj::hr_max++] = "display_weapons.png 32 32";
$mj::hr[$mj::hr_max++] = "dropeagle1.png 128 128";
$mj::hr[$mj::hr_max++] = "dropeagle2.png 128 128";
$mj::hr[$mj::hr_max++] = "dropeagle3.png 128 128";
$mj::hr[$mj::hr_max++] = "dropeagle4.png 128 128";
$mj::hr[$mj::hr_max++] = "dropeagle5.png 128 128";
$mj::hr[$mj::hr_max++] = "dropeagle6.png 128 128";
$mj::hr[$mj::hr_max++] = "dropeagle7.png 128 128";
$mj::hr[$mj::hr_max++] = "droppheonix1.png 128 128";
$mj::hr[$mj::hr_max++] = "droppheonix2.png 128 128";
$mj::hr[$mj::hr_max++] = "droppheonix3.png 128 128";
$mj::hr[$mj::hr_max++] = "droppheonix4.png 128 128";
$mj::hr[$mj::hr_max++] = "droppheonix5.png 128 128";
$mj::hr[$mj::hr_max++] = "droppheonix6.png 128 128";
$mj::hr[$mj::hr_max++] = "dropwolf1.png 128 128";
$mj::hr[$mj::hr_max++] = "dropwolf2.png 128 128";
$mj::hr[$mj::hr_max++] = "dropwolf3.png 128 128";
$mj::hr[$mj::hr_max++] = "dropwolf4.png 128 128";
$mj::hr[$mj::hr_max++] = "dropwolf5.png 128 128";
$mj::hr[$mj::hr_max++] = "dropwolf6.png 128 128";
$mj::hr[$mj::hr_max++] = "ds_ablative.png 128 128";
$mj::hr[$mj::hr_max++] = "ds_bottom.png 128 128";
$mj::hr[$mj::hr_max++] = "dsply_had.png 128 64";
$mj::hr[$mj::hr_max++] = "dsply_hbd.png 128 64";
$mj::hr[$mj::hr_max++] = "dsply_sad.png 32 32";
$mj::hr[$mj::hr_max++] = "dsply_sbd.png 32 32";
$mj::hr[$mj::hr_max++] = "dsply_vad.png 32 64";
$mj::hr[$mj::hr_max++] = "dsply_vbd.png 32 64";
$mj::hr[$mj::hr_max++] = "dsword.emblem10.png 128 128";
$mj::hr[$mj::hr_max++] = "dsword.emblem11.png 128 128";
$mj::hr[$mj::hr_max++] = "dsword.emblem1.png 128 256";
$mj::hr[$mj::hr_max++] = "dsword.emblem2.png 128 128";
$mj::hr[$mj::hr_max++] = "dsword.emblem3.png 64 128";
$mj::hr[$mj::hr_max++] = "dsword.emblem4.png 64 32";
$mj::hr[$mj::hr_max++] = "dsword.emblem5.png 32 16";
$mj::hr[$mj::hr_max++] = "dsword.emblem6.png 128 128";
$mj::hr[$mj::hr_max++] = "dsword.emblem8.png 128 128";
$mj::hr[$mj::hr_max++] = "dsword.emblem9.png 128 128";
$mj::hr[$mj::hr_max++] = "ext_grey10.png 64 128";
$mj::hr[$mj::hr_max++] = "ext_grey2.png 64 64";
$mj::hr[$mj::hr_max++] = "ext_grey3.png 64 64";
$mj::hr[$mj::hr_max++] = "ext_grey4.png 32 64";
$mj::hr[$mj::hr_max++] = "ext_grey5.png 16 32";
$mj::hr[$mj::hr_max++] = "ext_grey6.png 32 32";
$mj::hr[$mj::hr_max++] = "ext_grey7.png 64 64";
$mj::hr[$mj::hr_max++] = "ext_grey8.png 32 64";
$mj::hr[$mj::hr_max++] = "ext_grey9.png 64 128";
$mj::hr[$mj::hr_max++] = "ext_grey.png 128 128";
$mj::hr[$mj::hr_max++] = "ext_iron2.png 16 32";
$mj::hr[$mj::hr_max++] = "ext_iron3.png 16 8";
$mj::hr[$mj::hr_max++] = "ext_iron5.png 128 64";
$mj::hr[$mj::hr_max++] = "ext_iron6.png 64 64";
$mj::hr[$mj::hr_max++] = "ext_iron7.png 32 64";
$mj::hr[$mj::hr_max++] = "ext_iron8.png 64 128";
$mj::hr[$mj::hr_max++] = "ext_iron.png 128 128";
$mj::hr[$mj::hr_max++] = "ext_marble2.png 64 128";
$mj::hr[$mj::hr_max++] = "ext_marble4.png 64 64";
$mj::hr[$mj::hr_max++] = "ext_silver.png 128 128";
$mj::hr[$mj::hr_max++] = "ext_special1.png 128 128";
$mj::hr[$mj::hr_max++] = "ext_stone2.png 64 128";
$mj::hr[$mj::hr_max++] = "ext_stone3.png 16 16";
$mj::hr[$mj::hr_max++] = "ext_stone4.png 64 64";
$mj::hr[$mj::hr_max++] = "ext_stone5.png 64 64";
$mj::hr[$mj::hr_max++] = "ext_stone6.png 64 64";
$mj::hr[$mj::hr_max++] = "ext_stone7.png 128 128";
$mj::hr[$mj::hr_max++] = "ext_stone8.png 64 32";
$mj::hr[$mj::hr_max++] = "ext_stone.png 128 128";
$mj::hr[$mj::hr_max++] = "gold_32b.png 32 32";
$mj::hr[$mj::hr_max++] = "gold_64b.png 64 64";
$mj::hr[$mj::hr_max++] = "green.emblem10.png 128 128";
$mj::hr[$mj::hr_max++] = "green.emblem11.png 128 128";
$mj::hr[$mj::hr_max++] = "green.emblem1.png 128 256";
$mj::hr[$mj::hr_max++] = "green.emblem2.png 128 128";
$mj::hr[$mj::hr_max++] = "green.emblem3.png 64 128";
$mj::hr[$mj::hr_max++] = "green.emblem4.png 64 32";
$mj::hr[$mj::hr_max++] = "green.emblem5.png 32 16";
$mj::hr[$mj::hr_max++] = "green.emblem6.png 128 128";
$mj::hr[$mj::hr_max++] = "green.emblem7.png 128 128";
$mj::hr[$mj::hr_max++] = "green.emblem8.png 128 128";
$mj::hr[$mj::hr_max++] = "green.emblem9.png 128 128";
$mj::hr[$mj::hr_max++] = "greyrib.png 64 32";
$mj::hr[$mj::hr_max++] = "hdisplay_blue.png 128 64";
$mj::hr[$mj::hr_max++] = "hdisplay_vertical.png 32 64";
$mj::hr[$mj::hr_max++] = "hdisplay_yellow.png 128 64";
$mj::hr[$mj::hr_max++] = "icaution.png 128 128";
$mj::hr[$mj::hr_max++] = "icoilcage.png 128 128";
$mj::hr[$mj::hr_max++] = "icoil.png 128 128";
$mj::hr[$mj::hr_max++] = "iconcretebock1.png 128 128";
$mj::hr[$mj::hr_max++] = "iconcretebock.png 128 128";
$mj::hr[$mj::hr_max++] = "idkmetal.png 128 128";
$mj::hr[$mj::hr_max++] = "idkmetalstrip.png 64 64";
$mj::hr[$mj::hr_max++] = "idkvent.png 64 16";
$mj::hr[$mj::hr_max++] = "idkwindow1.png 128 128";
$mj::hr[$mj::hr_max++] = "idkwindow2.png 128 128";
$mj::hr[$mj::hr_max++] = "idoor1.png 128 128";
$mj::hr[$mj::hr_max++] = "idoorframe.png 128 128";
$mj::hr[$mj::hr_max++] = "igrate.png 128 64";
$mj::hr[$mj::hr_max++] = "ilogo1.png 128 128";
$mj::hr[$mj::hr_max++] = "iltconcrete.png 128 128";
$mj::hr[$mj::hr_max++] = "iltmetal.png 128 128";
$mj::hr[$mj::hr_max++] = "iltmetalstrip.png 64 64";
$mj::hr[$mj::hr_max++] = "iltvent.png 128 64";
$mj::hr[$mj::hr_max++] = "iltwindow1.png 128 64";
$mj::hr[$mj::hr_max++] = "imp_wall1.png 128 128";
$mj::hr[$mj::hr_max++] = "imp_wall2_half.png 64 128";
$mj::hr[$mj::hr_max++] = "imp_wall2_mold.png 64 128";
$mj::hr[$mj::hr_max++] = "imp_wall2.png 64 128";
$mj::hr[$mj::hr_max++] = "int_phoenix1.png 128 128";
$mj::hr[$mj::hr_max++] = "irdconcrete.png 128 128";
$mj::hr[$mj::hr_max++] = "irdedge1.png 64 128";
$mj::hr[$mj::hr_max++] = "irdmetal.png 128 128";
$mj::hr[$mj::hr_max++] = "itext1.png 256 128";
$mj::hr[$mj::hr_max++] = "itube.png 64 128";
$mj::hr[$mj::hr_max++] = "ivent.png 32 64";
$mj::hr[$mj::hr_max++] = "iyplate.png 64 32";
$mj::hr[$mj::hr_max++] = "light_cold.png 128 128";
$mj::hr[$mj::hr_max++] = "light_copper.png 64 64";
$mj::hr[$mj::hr_max++] = "light_dark.png 16 16";
$mj::hr[$mj::hr_max++] = "light_metal.png 64 64";
$mj::hr[$mj::hr_max++] = "light_warm.png 64 64";
$mj::hr[$mj::hr_max++] = "marble_32b.png 32 32";
$mj::hr[$mj::hr_max++] = "marble_64b.png 64 128";
$mj::hr[$mj::hr_max++] = "marble_wt.png 128 128";
$mj::hr[$mj::hr_max++] = "metal_16b.png 16 64";
$mj::hr[$mj::hr_max++] = "metal_32b.png 128 32";
$mj::hr[$mj::hr_max++] = "metal_64b.png 128 64";
$mj::hr[$mj::hr_max++] = "metal_ft.png 8 8";
$mj::hr[$mj::hr_max++] = "metal_wt.png 128 128";
$mj::hr[$mj::hr_max++] = "orange.emblem10.png 128 128";
$mj::hr[$mj::hr_max++] = "orange.emblem11.png 128 128";
$mj::hr[$mj::hr_max++] = "orange.emblem1.png 128 256";
$mj::hr[$mj::hr_max++] = "orange.emblem2.png 128 128";
$mj::hr[$mj::hr_max++] = "orange.emblem3.png 64 128";
$mj::hr[$mj::hr_max++] = "orange.emblem4.png 64 32";
$mj::hr[$mj::hr_max++] = "orange.emblem5.png 32 16";
$mj::hr[$mj::hr_max++] = "orange.emblem6.png 128 128";
$mj::hr[$mj::hr_max++] = "orange.emblem7.png 128 128";
$mj::hr[$mj::hr_max++] = "orange.emblem8.png 128 128";
$mj::hr[$mj::hr_max++] = "orange.emblem9.png 128 128";
$mj::hr[$mj::hr_max++] = "panel1_vertical_broke1.png 32 64";
$mj::hr[$mj::hr_max++] = "panel1_vertical_broke2.png 32 64";
$mj::hr[$mj::hr_max++] = "panel_square_broke.png 64 64";
$mj::hr[$mj::hr_max++] = "plainemb10.png 128 128";
$mj::hr[$mj::hr_max++] = "plainemb11.png 128 128";
$mj::hr[$mj::hr_max++] = "plainemb6.png 128 128";
$mj::hr[$mj::hr_max++] = "plainemb8.png 128 128";
$mj::hr[$mj::hr_max++] = "plainemb9.png 128 128";
$mj::hr[$mj::hr_max++] = "purple.emblem10.png 128 128";
$mj::hr[$mj::hr_max++] = "purple.emblem11.png 128 128";
$mj::hr[$mj::hr_max++] = "purple.emblem1.png 128 256";
$mj::hr[$mj::hr_max++] = "purple.emblem2.png 128 128";
$mj::hr[$mj::hr_max++] = "purple.emblem3.png 64 128";
$mj::hr[$mj::hr_max++] = "purple.emblem4.png 64 32";
$mj::hr[$mj::hr_max++] = "purple.emblem5.png 32 16";
$mj::hr[$mj::hr_max++] = "purple.emblem6.png 128 128";
$mj::hr[$mj::hr_max++] = "purple.emblem7.png 128 128";
$mj::hr[$mj::hr_max++] = "purple.emblem8.png 128 128";
$mj::hr[$mj::hr_max++] = "purple.emblem9.png 128 128";
$mj::hr[$mj::hr_max++] = "redgrate.png 64 64";
$mj::hr[$mj::hr_max++] = "redrib.png 64 32";
$mj::hr[$mj::hr_max++] = "redvent.png 64 32";
$mj::hr[$mj::hr_max++] = "redylight.png 64 32";
$mj::hr[$mj::hr_max++] = "rock_ft.png 128 128";
$mj::hr[$mj::hr_max++] = "rock_wt.png 128 128";
$mj::hr[$mj::hr_max++] = "rokwall1.png 64 64";
$mj::hr[$mj::hr_max++] = "rokwall2.png 64 64";
$mj::hr[$mj::hr_max++] = "rokwall3.png 64 64";
$mj::hr[$mj::hr_max++] = "special_carpet.png 256 128";
$mj::hr[$mj::hr_max++] = "special_interface.png 64 128";
$mj::hr[$mj::hr_max++] = "special_metal.png 128 128";
$mj::hr[$mj::hr_max++] = "special_shield.png 16 16";
$mj::hr[$mj::hr_max++] = "special_warm.png 128 128";
$mj::hr[$mj::hr_max++] = "steel_16b.png 16 32";
$mj::hr[$mj::hr_max++] = "swolf.emblem10.png 128 128";
$mj::hr[$mj::hr_max++] = "swolf.emblem11.png 128 128";
$mj::hr[$mj::hr_max++] = "swolf.emblem1.png 128 256";
$mj::hr[$mj::hr_max++] = "swolf.emblem2.png 128 128";
$mj::hr[$mj::hr_max++] = "swolf.emblem3.png 64 128";
$mj::hr[$mj::hr_max++] = "swolf.emblem4.png 64 32";
$mj::hr[$mj::hr_max++] = "swolf.emblem5.png 32 16";
$mj::hr[$mj::hr_max++] = "swolf.emblem6.png 128 128";
$mj::hr[$mj::hr_max++] = "swolf.emblem8.png 128 128";
$mj::hr[$mj::hr_max++] = "swolf.emblem9.png 128 128";
$mj::hr[$mj::hr_max++] = "sworddrop1.png 128 128";
$mj::hr[$mj::hr_max++] = "sworddrop2.png 128 128";
$mj::hr[$mj::hr_max++] = "sworddrop3.png 128 128";
$mj::hr[$mj::hr_max++] = "sworddrop4.png 128 128";
$mj::hr[$mj::hr_max++] = "sworddrop5.png 128 128";
$mj::hr[$mj::hr_max++] = "warm_16b.png 16 16";
$mj::hr[$mj::hr_max++] = "warm_32b.png 32 64";
$mj::hr[$mj::hr_max++] = "warm_ft.png 32 32";
$mj::hr[$mj::hr_max++] = "warm_wt.png 64 128";
$mj::hr[$mj::hr_max++] = "wolf_shipFfinal.png 256 256";
//savanah.DML
$mj::hr[$mj::hr_max++] = "band.png 64 32";
$mj::hr[$mj::hr_max++] = "bigdoor.png 256 128";
$mj::hr[$mj::hr_max++] = "bigscreen.png 256 128";
$mj::hr[$mj::hr_max++] = "bmarble.png 128 128";
$mj::hr[$mj::hr_max++] = "bmetal.png 128 128";
$mj::hr[$mj::hr_max++] = "border2end.png 64 16";
$mj::hr[$mj::hr_max++] = "border2.png 64 32";
$mj::hr[$mj::hr_max++] = "border.png 64 32";
$mj::hr[$mj::hr_max++] = "borderwcF.png 64 16";
$mj::hr[$mj::hr_max++] = "borderwc.png 32 32";
$mj::hr[$mj::hr_max++] = "borderw.png 16 32";
$mj::hr[$mj::hr_max++] = "bplate.png 128 128";
$mj::hr[$mj::hr_max++] = "bsteel.png 128 128";
$mj::hr[$mj::hr_max++] = "button1.png 16 16";
$mj::hr[$mj::hr_max++] = "bwood.png 128 128";
$mj::hr[$mj::hr_max++] = "cicon.png 64 32";
$mj::hr[$mj::hr_max++] = "column.png 64 128";
$mj::hr[$mj::hr_max++] = "coplight.png 64 64";
$mj::hr[$mj::hr_max++] = "dirt.png 128 128";
$mj::hr[$mj::hr_max++] = "display2.png 128 64";
$mj::hr[$mj::hr_max++] = "display3.png 256 128";
$mj::hr[$mj::hr_max++] = "display5.png 64 128";
$mj::hr[$mj::hr_max++] = "display6.png 128 64";
$mj::hr[$mj::hr_max++] = "display.png 128 32";
$mj::hr[$mj::hr_max++] = "doorlip2.png 256 128";
$mj::hr[$mj::hr_max++] = "doorlip3.png 128 128";
$mj::hr[$mj::hr_max++] = "doorlip4.png 128 128";
$mj::hr[$mj::hr_max++] = "doorlip.png 128 128";
$mj::hr[$mj::hr_max++] = "door.png 128 128";
$mj::hr[$mj::hr_max++] = "eagle.png 128 64";
$mj::hr[$mj::hr_max++] = "elevator.png 128 128";
$mj::hr[$mj::hr_max++] = "ex05A.png 128 128";
$mj::hr[$mj::hr_max++] = "exblock1.png 256 128";
$mj::hr[$mj::hr_max++] = "exblock3.png 256 128";
$mj::hr[$mj::hr_max++] = "exblock4.png 256 128";
$mj::hr[$mj::hr_max++] = "exblock.png 256 128";
$mj::hr[$mj::hr_max++] = "exbordergold.png 128 64";
$mj::hr[$mj::hr_max++] = "exborder.png 16 16";
$mj::hr[$mj::hr_max++] = "excommand2.png 256 128";
$mj::hr[$mj::hr_max++] = "excommand.png 256 128";
$mj::hr[$mj::hr_max++] = "exdborder.png 16 128";
$mj::hr[$mj::hr_max++] = "exdoorborderlight.png 16 128";
$mj::hr[$mj::hr_max++] = "exdoorborder.png 16 128";
$mj::hr[$mj::hr_max++] = "exdoorlightoff.png 16 16";
$mj::hr[$mj::hr_max++] = "exdoorlighton.png 16 16";
$mj::hr[$mj::hr_max++] = "exdoorlip2.png 128 128";
$mj::hr[$mj::hr_max++] = "exdoorlip3.png 128 128";
$mj::hr[$mj::hr_max++] = "exdoorlip.png 128 128";
$mj::hr[$mj::hr_max++] = "exdoor.png 128 128";
$mj::hr[$mj::hr_max++] = "exfloor2.png 128 128";
$mj::hr[$mj::hr_max++] = "exfloor.png 128 128";
$mj::hr[$mj::hr_max++] = "exgrate2.png 128 64";
$mj::hr[$mj::hr_max++] = "exgrate.png 128 32";
$mj::hr[$mj::hr_max++] = "exheimdall.png 128 256";
$mj::hr[$mj::hr_max++] = "exlight.png 128 32";
$mj::hr[$mj::hr_max++] = "exripple.png 128 128";
$mj::hr[$mj::hr_max++] = "exseemed.png 128 128";
$mj::hr[$mj::hr_max++] = "exsimple.png 256 128";
$mj::hr[$mj::hr_max++] = "exstrip2.png 128 32";
$mj::hr[$mj::hr_max++] = "exstripe.png 256 128";
$mj::hr[$mj::hr_max++] = "exstripered.png 256 128";
$mj::hr[$mj::hr_max++] = "exstrip.png 128 16";
$mj::hr[$mj::hr_max++] = "extech.png 128 128";
$mj::hr[$mj::hr_max++] = "exterior.png 128 128";
$mj::hr[$mj::hr_max++] = "floor1.png 128 128";
$mj::hr[$mj::hr_max++] = "floor2b.png 128 128";
$mj::hr[$mj::hr_max++] = "floor2c.png 128 128";
$mj::hr[$mj::hr_max++] = "floor2d.png 256 128";
$mj::hr[$mj::hr_max++] = "floor2e.png 128 128";
$mj::hr[$mj::hr_max++] = "floor2f.png 128 128";
$mj::hr[$mj::hr_max++] = "floor2.png 32 32";
$mj::hr[$mj::hr_max++] = "floor3.png 64 64";
$mj::hr[$mj::hr_max++] = "floorT.png 8 8";
$mj::hr[$mj::hr_max++] = "icon1.png 32 32";
$mj::hr[$mj::hr_max++] = "icon2.png 32 32";
$mj::hr[$mj::hr_max++] = "icon3.png 32 32";
$mj::hr[$mj::hr_max++] = "icon4.png 32 32";
$mj::hr[$mj::hr_max++] = "intdoorlip.png 128 128";
$mj::hr[$mj::hr_max++] = "interface.png 64 32";
$mj::hr[$mj::hr_max++] = "landing.png 256 256";
$mj::hr[$mj::hr_max++] = "light2.png 8 16";
$mj::hr[$mj::hr_max++] = "light3.png 64 128";
$mj::hr[$mj::hr_max++] = "light4.png 128 64";
$mj::hr[$mj::hr_max++] = "lightb.png 128 64";
$mj::hr[$mj::hr_max++] = "lightm.png 128 128";
$mj::hr[$mj::hr_max++] = "outtech.png 128 128";
$mj::hr[$mj::hr_max++] = "pannel2.png 128 64";
$mj::hr[$mj::hr_max++] = "pannel3.png 128 32";
$mj::hr[$mj::hr_max++] = "picon.png 64 32";
$mj::hr[$mj::hr_max++] = "pipes.png 64 128";
$mj::hr[$mj::hr_max++] = "plate2.png 128 64";
$mj::hr[$mj::hr_max++] = "plate3.png 128 64";
$mj::hr[$mj::hr_max++] = "plate4.png 128 64";
$mj::hr[$mj::hr_max++] = "plate.png 128 64";
$mj::hr[$mj::hr_max++] = "post.png 16 128";
$mj::hr[$mj::hr_max++] = "rock.png 128 128";
$mj::hr[$mj::hr_max++] = "seal.png 128 128";
$mj::hr[$mj::hr_max++] = "sealwood.png 128 128";
$mj::hr[$mj::hr_max++] = "sicon.png 64 32";
$mj::hr[$mj::hr_max++] = "starball.png 256 256";
$mj::hr[$mj::hr_max++] = "strip.png 128 16";
$mj::hr[$mj::hr_max++] = "tech2.png 64 64";
$mj::hr[$mj::hr_max++] = "tech3.png 128 128";
$mj::hr[$mj::hr_max++] = "tech.png 128 128";
$mj::hr[$mj::hr_max++] = "techwall.png 128 128";
$mj::hr[$mj::hr_max++] = "tunnel1.png 128 128";
$mj::hr[$mj::hr_max++] = "tunnel2.png 128 128";
$mj::hr[$mj::hr_max++] = "tunnel3.png 128 128";
$mj::hr[$mj::hr_max++] = "vent.png 32 16";
$mj::hr[$mj::hr_max++] = "wall1.png 128 128";
$mj::hr[$mj::hr_max++] = "wtechalf.png 64 128";
$mj::hr[$mj::hr_max++] = "wtech.png 128 128";
//titanDML
$mj::hr[$mj::hr_max++] = "block.png 256 256";
$mj::hr[$mj::hr_max++] = "emblem.png 128 128";
$mj::hr[$mj::hr_max++] = "excap1.png 32 32";
$mj::hr[$mj::hr_max++] = "excap2.png 64 64";
$mj::hr[$mj::hr_max++] = "excolm1.png 32 128";
$mj::hr[$mj::hr_max++] = "excolm2.png 64 128";
$mj::hr[$mj::hr_max++] = "exfaltop.png 128 128";
$mj::hr[$mj::hr_max++] = "exWall2.png 128 128";
$mj::hr[$mj::hr_max++] = "exWall.png 128 128";
$mj::hr[$mj::hr_max++] = "floor.png 128 128";
$mj::hr[$mj::hr_max++] = "gold2.png 128 64";
$mj::hr[$mj::hr_max++] = "gold3.png 128 64";
$mj::hr[$mj::hr_max++] = "gold.png 128 64";
$mj::hr[$mj::hr_max++] = "hanging.png 128 128";
$mj::hr[$mj::hr_max++] = "painting2.png 64 128";
$mj::hr[$mj::hr_max++] = "painting.png 128 128";
$mj::hr[$mj::hr_max++] = "plant1.png 128 128";
$mj::hr[$mj::hr_max++] = "plant2.png 128 128";
$mj::hr[$mj::hr_max++] = "plant3.png 128 128";
$mj::hr[$mj::hr_max++] = "plant4.png 128 128";
$mj::hr[$mj::hr_max++] = "rock.png 128 128";
$mj::hr[$mj::hr_max++] = "sky.png 256 128";
//DOX_Textures
$mj::hr[$mj::hr_max++] = "4circle_lite.png 128 128";
$mj::hr[$mj::hr_max++] = "4square_lite.png 64 32";
$mj::hr[$mj::hr_max++] = "antigrav.png 128 256";
$mj::hr[$mj::hr_max++] = "base_dark2.png 128 256";
$mj::hr[$mj::hr_max++] = "base_rockburn.png 128 128";
$mj::hr[$mj::hr_max++] = "base_rocklog.png 128 128";
$mj::hr[$mj::hr_max++] = "beaglelz.png 256 256";
$mj::hr[$mj::hr_max++] = "bigrust2.png 128 256";
$mj::hr[$mj::hr_max++] = "bigrust.png 128 256";
$mj::hr[$mj::hr_max++] = "blue_light1.png 64 64";
$mj::hr[$mj::hr_max++] = "blue_light2.png 64 64";
$mj::hr[$mj::hr_max++] = "bluescrdeath.png 128 128";
$mj::hr[$mj::hr_max++] = "bluetrim1.png 128 16";
$mj::hr[$mj::hr_max++] = "bluetrim2a.png 32 16";
$mj::hr[$mj::hr_max++] = "bluetrim2.png 128 16";
$mj::hr[$mj::hr_max++] = "bluetrim3.png 128 16";
$mj::hr[$mj::hr_max++] = "bluetrim4.png 128 16";
$mj::hr[$mj::hr_max++] = "cam1.png 128 128";
$mj::hr[$mj::hr_max++] = "cargo1.png 128 64";
$mj::hr[$mj::hr_max++] = "cargoend2.png 128 64";
$mj::hr[$mj::hr_max++] = "cargoend.png 64 64";
$mj::hr[$mj::hr_max++] = "cargo.png 128 64";
$mj::hr[$mj::hr_max++] = "cargotop.png 64 128";
$mj::hr[$mj::hr_max++] = "carinternalwall.png 128 128";
$mj::hr[$mj::hr_max++] = "carrierlogo1.png 256 128";
$mj::hr[$mj::hr_max++] = "carrierlogo2.png 256 128";
$mj::hr[$mj::hr_max++] = "carrierwall2.png 128 256";
$mj::hr[$mj::hr_max++] = "carrierwall4.png 256 256";
$mj::hr[$mj::hr_max++] = "deck1+.png 256 256";
$mj::hr[$mj::hr_max++] = "doorlogo1.png 256 128";
$mj::hr[$mj::hr_max++] = "doorlogo2.png 256 128";
$mj::hr[$mj::hr_max++] = "dswordlz.png 256 256";
$mj::hr[$mj::hr_max++] = "engine1.png 128 64";
$mj::hr[$mj::hr_max++] = "grate1.png 64 64";
$mj::hr[$mj::hr_max++] = "grate2.png 128 64";
$mj::hr[$mj::hr_max++] = "grate_logo.png 128 128";
$mj::hr[$mj::hr_max++] = "gratered.png 64 64";
$mj::hr[$mj::hr_max++] = "hangar_indoor1.png 128 128";
$mj::hr[$mj::hr_max++] = "hangar_indoor3.png 32 32";
$mj::hr[$mj::hr_max++] = "hangarwall2.png 128 256";
$mj::hr[$mj::hr_max++] = "hangarwall.png 128 256";
$mj::hr[$mj::hr_max++] = "hitec_wall1.png 128 64";
$mj::hr[$mj::hr_max++] = "idkmetal2a.png 32 32";
$mj::hr[$mj::hr_max++] = "idkmetal2.png 64 128";
$mj::hr[$mj::hr_max++] = "jaxscr.png 128 128";
$mj::hr[$mj::hr_max++] = "light_cold3.png 128 256";
$mj::hr[$mj::hr_max++] = "light_small2.png 16 16";
$mj::hr[$mj::hr_max++] = "light_small3.png 32 16";
$mj::hr[$mj::hr_max++] = "light_small4.png 32 16";
$mj::hr[$mj::hr_max++] = "light_small.png 32 16";
$mj::hr[$mj::hr_max++] = "minesign.png 64 64";
$mj::hr[$mj::hr_max++] = "mx3_logo.png 128 256";
$mj::hr[$mj::hr_max++] = "mx3_memb.png 128 128";
$mj::hr[$mj::hr_max++] = "mx3_tribute.png 128 128";
$mj::hr[$mj::hr_max++] = "mx3_wall.png 32 32";
$mj::hr[$mj::hr_max++] = "pc1.png 32 32";
$mj::hr[$mj::hr_max++] = "pc2.png 32 32";
$mj::hr[$mj::hr_max++] = "pc3.png 32 32";
$mj::hr[$mj::hr_max++] = "radarscr2.png 64 64";
$mj::hr[$mj::hr_max++] = "radarscr.png 64 64";
$mj::hr[$mj::hr_max++] = "redstripe2.png 32 128";
$mj::hr[$mj::hr_max++] = "redvent2.png 64 32";
$mj::hr[$mj::hr_max++] = "rock_smalllite.png 32 32";
$mj::hr[$mj::hr_max++] = "rock_stripe2.png 128 128";
$mj::hr[$mj::hr_max++] = "rock_stripe.png 128 128";
$mj::hr[$mj::hr_max++] = "rock_wall_lite2.png 32 64";
$mj::hr[$mj::hr_max++] = "rock_wall_lite3.png 64 16";
$mj::hr[$mj::hr_max++] = "rock_wall_lite4.png 64 16";
$mj::hr[$mj::hr_max++] = "rock_wall_lite5.png 64 128";
$mj::hr[$mj::hr_max++] = "rock_wall_lite6.png 64 128";
$mj::hr[$mj::hr_max++] = "rock_wall_lite7.png 64 128";
$mj::hr[$mj::hr_max++] = "rock_wall_lite8.png 64 128";
$mj::hr[$mj::hr_max++] = "rock_wall_lite.png 64 128";
$mj::hr[$mj::hr_max++] = "rockwall_logo.png 128 128";
$mj::hr[$mj::hr_max++] = "roofbeam.png 128 64";
$mj::hr[$mj::hr_max++] = "rway1_start.png 256 128";
$mj::hr[$mj::hr_max++] = "rway2_start.png 256 128";
$mj::hr[$mj::hr_max++] = "rway_end2.png 256 128";
$mj::hr[$mj::hr_max++] = "rway_middle.png 256 128";
$mj::hr[$mj::hr_max++] = "sboxlogo2.png 128 128";
$mj::hr[$mj::hr_max++] = "sboxlogotop.png 128 128";
$mj::hr[$mj::hr_max++] = "sign1.png 128 32";
$mj::hr[$mj::hr_max++] = "sign2.png 128 32";
$mj::hr[$mj::hr_max++] = "slabgrill.png 64 64";
$mj::hr[$mj::hr_max++] = "special_shield2.png 16 16";
$mj::hr[$mj::hr_max++] = "steelwall_logo.png 128 128";
$mj::hr[$mj::hr_max++] = "stripe1.png 16 64";
$mj::hr[$mj::hr_max++] = "stripe2.png 16 64";
$mj::hr[$mj::hr_max++] = "stripe3.png 16 64";
$mj::hr[$mj::hr_max++] = "striplite2.png 64 32";
$mj::hr[$mj::hr_max++] = "striplite3.png 64 32";
$mj::hr[$mj::hr_max++] = "subchart1.png 256 128";
$mj::hr[$mj::hr_max++] = "subdamage.png 256 128";
$mj::hr[$mj::hr_max++] = "sub_wall.png 256 128";
$mj::hr[$mj::hr_max++] = "transporter.png 64 128";
$mj::hr[$mj::hr_max++] = "transtek.png 64 128";
$mj::hr[$mj::hr_max++] = "wall_1.png 128 128";
$mj::hr[$mj::hr_max++] = "wall_1rust.png 128 128";
$mj::hr[$mj::hr_max++] = "wall_2.png 128 128";
$mj::hr[$mj::hr_max++] = "wall_3.png 128 128";
$mj::hr[$mj::hr_max++] = "wall_4.png 128 128";
$mj::hr[$mj::hr_max++] = "wall_5.png 128 128";
$mj::hr[$mj::hr_max++] = "warm_wtlite.png 64 128";
$mj::hr[$mj::hr_max++] = "white_striplite.png 64 32";
echo("mjhirez for gigapixel 16-Sep-2022 loaded, for "@$mj::hr_max@" images.");
